summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorEvgeny Vereshchagin <evvers@ya.ru>2016-01-17 03:21:52 +0000
committerEvgeny Vereshchagin <evvers@ya.ru>2016-01-18 03:56:51 +0000
commitb46f4ef10734739f50af16b4df44498fd8518e4d (patch)
tree701e9dd8c44e76ea035f1ffbf1976913fbead2e9 /test
parent98ca53dac224abb9f48a4f8ac2f5cb46f69141a3 (diff)
downloadsystemd-b46f4ef10734739f50af16b4df44498fd8518e4d.tar.gz
tests: fix TEST-03-JOBS
We have JOB UNIT TYPE STATE 1 testsuite.target start waiting 81 end.service start waiting 187 sleep.service start waiting 136 hello.service start waiting 82 testsuite.service start running 135 hello-after-sleep.target start waiting sometimes
Diffstat (limited to 'test')
-rwxr-xr-xtest/TEST-03-JOBS/test-jobs.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/test/TEST-03-JOBS/test-jobs.sh b/test/TEST-03-JOBS/test-jobs.sh
index 42d475fe2f..4252a9a75d 100755
--- a/test/TEST-03-JOBS/test-jobs.sh
+++ b/test/TEST-03-JOBS/test-jobs.sh
@@ -4,9 +4,12 @@
# installed job.
systemctl start --no-block hello-after-sleep.target
-# sleep is now running, hello/start is waiting. Verify that:
+
systemctl list-jobs > /root/list-jobs.txt
-grep 'sleep\.service.*running' /root/list-jobs.txt || exit 1
+while ! grep 'sleep\.service.*running' /root/list-jobs.txt; do
+ systemctl list-jobs > /root/list-jobs.txt
+done
+
grep 'hello\.service.*waiting' /root/list-jobs.txt || exit 1
# This is supposed to finish quickly, not wait for sleep to finish.